PT BMS MIGRATION & ENHANCEMENT - Support #1279

ESS Mutation - Penambahan validasi
06/28/2022 10:08 AM - Fiona Avangeline Jonathan

Status: Closed Start date: 06/28/2022
Priority: Urgent Due date:

Assignee: Fiona Avangeline Jonathan % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear developer,

Mohon dibantu untuk menambahkan validasi saat task approve hc (apv_hc).

1. Jika field position di tabel CDWFMUTATIONREPPOS masih ada relasi dengan E di PHROMO0002 pada tanggal effective date

(nama field: StartDate) yang terisi di tabel COWFMUTATIONNEWASSIG
2. Maka approval tidak dapat dilakukan.

3. Di task tersebut HC dapat mengubah effective date (warning dalam bentuk pop-up message)

Warning message: Posisi yang dipilih masih memiliki relasi dengan employee [ID] pada tanggal [Effective Date]. Silakan mengubah

effective date mutasi.

Terima kasih.

History

#1 - 06/28/2022 10:08 AM - Fiona Avangeline Jonathan

- Status changed from New to Assigned

Port http://remote.minovais.com:31134/

#2 - 06/28/2022 01:19 PM - Mr. Yusuf
- Assignee changed from Mr. Yusuf to M Azid Wahyudi

#3 - 07/05/2022 09:36 AM - Kezia Pawitra Yulianti

- Assignee changed from M Azid Wahyudl to Fiona Avangeline Jonathan

Dear Fiona,

apa task ini msh diperlukan?

Kalau sudah tercover dan solve proses approvalnya tanpa task ini, silahkan di close aja.
Pls d make sure ya

Tks

#4 - 07/05/2022 09:37 AM - Fiona Avangeline Jonathan

- Status changed from Assigned to Closed

07/03/2025
